# std::error_code::category

From cppreference.com
< cpp‎ | error‎ | error code

const std::error_category& category() const; |  | (since C++11)

Returns the error category of the error value.

### Parameters

(none)

### Return value

The error category of the error value.

### Exceptions

`noexcept` specification:
noexcept

### See also

value | obtains the value of the error_code (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/category&oldid=91361"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template